GET DATA  /TYPE = TXT
 /FILE = "usnews.data"
 /DELCASE = LINE
 /DELIMITERS = ","
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 1
 /IMPORTCASE = ALL
 /VARIABLES =
 FICE F5
 COLLEGE A45
 STATE A2
 PRIVATE F1.0
 MSAT F4.0
 VSAT F4.0
 CSAT F4.0
 ACT F3.0
 MSAT1 F4.0
 MSAT3 F4.0
 VSAT1 F4.0
 VSAT3 F4.0
 ACT1 F3.0
 ACT3 F3.0
 APPREC F6.0
 APPACC F6.0
 ENROLL F5.0
 PCTTOP10 F3.0
 PCTTOP25 F3.0
 NUGFULL F5.0
 NUGPART F5.0
 ISTUI F5.0
 OSTUI F5.0
 RMBOCO F4.0
 RMCOSTS F4.0
 BOCOSTS F4.0
 ADDFEE F4.0
 BKCOSTS F4.0
 SPENDING F4.0
 PCTPD F3.0
 PCTTD F3.0
 STUFAC F4.1
 ALUMDON F3.0
 EXPSTUD F5.0
 GRADRAT F3.0.

CACHE.
EXECUTE.
DATASET NAME DatenSet1 WINDOW=FRONT.

variable labels FICE 'Federal ID number'
 /COLLEGE 'College name'
 /STATE 'State'
 /PRIVATE 'Private/public indicator'
 /MSAT 'Average Math SAT score'
 /VSAT 'Average Verbal SAT score'
 /CSAT 'Average Combined SAT score'
 /ACT 'Average ACT score'
 /MSAT1 'First quartile - Math SAT'
 /MSAT3 'Third quartile - Math SAT'
 /VSAT1 'First quartile - Verbal SAT'
 /VSAT3 'Third quartile - Verbal SAT'
 /ACT1 'First quartile - ACT'
 /ACT3 'Third quartile - ACT'
 /APPREC 'Number of applications received'
 /APPACC 'Number of applicants accepted'
 /ENROLL 'Number of new students enrolled'
 /PCTTOP10 'Pct. new students from top 10% of H.S. class'
 /PCTTOP25 'Pct. new students from top 25% of H.S. class'
 /NUGFULL 'Number of fulltime undergraduates'
 /NUGPART 'Number of parttime undergraduates'
 /ISTUI 'In-state tuition (Schulgeld)'
 /OSTUI 'Out-of-state tuition (Schulgeld)'
 /RMBOCO 'Room and board costs'
 /RMCOSTS 'Room costs'
 /BOCOSTS 'Board costs'
 /ADDFEE 'Additional fees'
 /BKCOSTS 'Estimated book costs'
 /SPENDING 'Estimated personal spending'
 /PCTPD 'Pct. of faculty with Ph.D.s'
 /PCTTD 'Pct. of faculty with terminal degree'
 /STUFAC 'Student/faculty ratio'
 /ALUMDON 'Pct.alumni who donate'
 /EXPSTUD 'Instructional expenditure per student'
 /GRADRAT 'Graduation rate'.

recode PRIVATE (1=0) (2=1).
value labels PRIVATE 1 'private'  0 'public'.
* PRIVATE rekodiert gem. Allison 2002, S. 21.
compute LNENROLL = ln(ENROLL).
compute RMBRD = (RMCOSTS + BOCOSTS)/1000.
* RMBRD berechnet gem. Allison 2002, S. 21 bzw. 88.
variable labels LNENROLL 'ln of the number of enrolling freshmen'
 /RMBRD 'Total annual costs for room and board'.

variable width  STATE (5).
variable level  FICE (nominal) /ACT, ACT1, ACT3  (scale).

SAVE OUTFILE="usnews.sav"
 /COMPRESSED.
