* Verhalten diverser Methoden zur MD-Behandlung unter der MAR - Bedingung.

set seed = 4711.
input program.
+ loop #i = 1 to 3000.
-  compute K = normal(1).
-  compute X = 0.5*K + normal(1).
-  compute Z = 0.5*K + normal(1).
-  compute XM = X.
-  compute Y = 0.7*X + 0.7*Z + normal(1).
-  do if uniform(1)  < exp(Y) / (1 + exp(Y)).
-    recode XM (lo thru hi = SYSMIS).
-  end if.
-  end case.
+ end loop.
+ end file.
end input program.

DATASET NAME MarMds.

TITLE Vollstndige Daten.
REGRESSION /STAT COEFF OUTS CI(95) R ANOVA /DEP=Y /ENTER=X Z.

TITLE Fallweise Behandlung.
REGRESSION /STAT COEFF OUTS CI(95) R ANOVA  /DEP=Y /ENTER=XM Z.

TITLE Paarweise Behandlung.
REGRESSION /STAT COEFF OUTS CI(95) R ANOVA /MISSING=PAIRWISE /DEP=Y /ENTER=XM Z.

DATASET DECLARE ImpDatReg.
MVA
  XM Z Y
  /REGRESSION ( TOLERANCE=0.001 FLIMIT=4.0 ADDTYPE=RESIDUAL OUTFILE=ImpDatReg ).

DATASET ACTIVATE ImpDatReg.
Title RI (mit Zufallskomponente).
Regression /STAT COEFF OUTS CI(95) R ANOVA
 /Dependent = Y
 /Enter = XM Z.

DATASET ACTIVATE MarMds.
Title Manuelle stoch. RI bei X.
REGRESSION /STAT COEFF OUTS CI(95) R ANOVA /DEP=XM /ENTER=Y Z.
compute XMC = XM.
do if (missing(xmc)).
  COMPUTE  XMC = -0.028 + 0.534*Y - 0.255*Z + normal(0.859).
end if.
REGRESSION   /STAT COEFF OUTS CI(95) R ANOVA /DEP=Y /ENTER=XMC Z.


DATASET ACTIVATE MarMds.
Title MI-Datensatz erstellen.
DATASET DECLARE MC_MAR_MI20.
MULTIPLE IMPUTATION XM Z Y 
  /IMPUTE METHOD=AUTO NIMPUTATIONS=20 MAXPCTMISSING=NONE 
  /MISSINGSUMMARIES NONE 
  /IMPUTATIONSUMMARIES MODELS 
  /OUTFILE IMPUTATIONS=MC_MAR_MI20 .

DATASET ACTIVATE MC_MAR_MI20.
Title MI-Regression.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Y
  /METHOD=ENTER Z XM.

