* Verhalten diverser Methoden zur MD-Behandlung unter der MCAR - Bedingung.

set seed = 4711.
input program.
+ loop #i = 1 to 3000.
-  compute K = normal(1).
-  compute X = 0.5*K + normal(1).
-  compute Z = 0.5*K + normal(1).
-  compute XV = X.
-  compute XM = X.
-  compute MX = 0.
-  compute Y = 0.7*X + 0.7*Z + normal(1).
-  do if uniform(1) < 0.5.
-    recode  XM (lo thru hi = SYSMIS).
-    compute XV = 0.
-    compute MX = 1.
-  end if.
-  end case.
+ end loop.
+ end file.
end input program.

DATASET NAME McarMds.

TITLE Ohne MD.
REGRESSION
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /DESCRIPTIVES=DEFAULTS CORR
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER X Z.

TITLE Fallweise.
REGRESSION
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /DESCRIPTIVES=DEFAULTS CORR
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER XM  Z.

TITLE Paarweise.
REGRESSION
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /MISSING = PAIRWISE
  /DESCRIPTIVES=DEFAULTS CORR
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER XM  Z.

TITLE Ersetzung durch den Mittelwert.
REGRESSION
  /STATISTICS COEFF OUTS  CI(95) R ANOVA
  /MISSING = MEANSUBSTITUTION
  /DESCRIPTIVES=DEFAULTS CORR
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER XM  Z.

TITLE MD-Indikator nach Cohen et al. (2003).
REGRESSION
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /DESCRIPTIVES=DEFAULTS CORR
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER XV MX Z.

DATASET DECLARE ImpDatReg.
MVA
  XM Z Y
  /REGRESSION ( TOLERANCE=0.001 FLIMIT=4.0 ADDTYPE=RESIDUAL OUTFILE=ImpDatReg ).

DATASET ACTIVATE ImpDatReg.
Title RI (mit Zufallskomponente).
Regression
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /Dependent = Y
  /Enter = XM Z.

DATASET ACTIVATE McarMds.
Title MI-Datensatz erstellen.
DATASET DECLARE MC_MCAR_MI20.
MULTIPLE IMPUTATION XM Z Y 
  /IMPUTE METHOD=AUTO NIMPUTATIONS=20 MAXPCTMISSING=NONE 
  /MISSINGSUMMARIES NONE 
  /IMPUTATIONSUMMARIES MODELS 
  /OUTFILE IMPUTATIONS=MC_MCAR_MI20 .

DATASET ACTIVATE MC_MCAR_MI20.
Title MI-Regression.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Y
  /METHOD=ENTER Z XM.


* Dichotomer Regressor X mit MD-Zusatzkategorie.
set seed = 125.
input program.
+ loop #i = 1 to 5000.
-  compute K = normal(2).
-  compute D = (K + normal(1)) > 0.
-  compute Z = K + normal(1).
-  do if (D = 0).
-  compute D1 = 0.
-  compute D2 = 0.
-  else.
-  compute D1 = 1.
-  compute D2 = 0.
-  end if.
-  compute Y = 0.7*D + 0.7*Z + normal(1).
-  do if uniform(1)  < 0.3.
-    recode  D (ELSE = SYSMIS).
-    compute D1 = 0.
-    compute D2 = 1.
-  end if.
-  end case.
+ end loop.
+ end file.
end input program.

correlation d with z.

TITLE Fallweiser Ausschluss.
REGRESSION
  /STATISTICS COEFF OUTS  CI(95) R ANOVA
  /DESCRIPTIVES=DEFAULTS CORR
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER D  Z.

TITLE MD-Zusatzkategorie nach Cohen et al. (2003, 435ff).
REGRESSION
  /STATISTICS COEFF OUTS  CI(95) R ANOVA
  /DESCRIPTIVES=DEFAULTS CORR
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER D1 D2  Z.
