* Streudiagramme bei MCAR- MAR- und NMAR-Bedingung.
* Aus optischen Grnden weniger Flle als bei den numerischen Simulationen.

* Mersenne Twister als Zufallszahlengenerator.
SET RNG=MT MTINDEX=11.

input program.
+ loop #i = 1 to 400.
-  compute X =normal(1).
-  compute ICY = 0.
-  compute IMY = 0.
-  compute INY = 0.
-  compute Y = 0.7*X + normal(1).
-  compute H = normal(1.6).
-  do if uniform(1)  < exp(H) / (1 + exp(H)).
-    compute ICY = 1.
-  end if.
-  do if uniform(1)  < exp(X) / (1 + exp(X)).
-    compute IMY = 1.
-  end if.
-  do if uniform(0.8)  < exp(Y) / (1 + exp(Y)).
-    compute INY = 1.
-  end if.
-  end case.
+ end loop.
+ end file.
end input program.

FORMATS ICY IMY INY (f1.0).
VARIABLE LABELS ICY 'MCAR-MD bei Y'.
VARIABLE LABELS IMY 'MAR-MD bei Y'.
VARIABLE LABELS INY 'MNAR-MD bei Y'.
VALUE LABELS IMY ICY INY 1 'Ja' 0 'Nein'.

CORRELATIONS x with y
  /STATISTICS=XPROD.

Title MCAR.
GRAPH
  /SCATTERPLOT(BIVAR)=X WITH Y BY ICY
  /MISSING=LISTWISE .
temporary.
do if (icy = 1).
recode y  (lo thru hi = sysmis).
end if.
MVA
   VARIABLES = X Y
  /EM ( TOLERANCE=0.001 CONVERGENCE=0.0001 ITERATIONS=250 ) .

Title MAR.
GRAPH
  /SCATTERPLOT(BIVAR)=X WITH Y BY IMY
  /MISSING=LISTWISE .
temporary.
do if (imy = 1).
recode y  (lo thru hi = sysmis).
end if.
MVA
   VARIABLES = X Y
  /EM ( TOLERANCE=0.001 CONVERGENCE=0.0001 ITERATIONS=250 ) .

Title MNAR.
GRAPH
  /SCATTERPLOT(BIVAR)=X WITH Y BY INY
  /MISSING=LISTWISE .
temporary.
do if (iny = 1).
recode y  (lo thru hi = sysmis).
end if.
MVA
   VARIABLES = X Y
  /EM ( TOLERANCE=0.001 CONVERGENCE=0.0001 ITERATIONS=250 ) .

* Hilfsvariable YH ist mit der MNAR-geschdigten Y korr.
compute YH = 0.5*Y + normal(0.7).
temporary.
do if (iny = 1).
recode y  (lo thru hi = sysmis).
end if.
MVA
   VARIABLES = X Y YH
  /EM ( TOLERANCE=0.001 CONVERGENCE=0.0001 ITERATIONS=250 ) .





